package digital.laboratory.platform.inspection.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.inspection.entity.ScreenInfo;
import digital.laboratory.platform.inspection.entity.TaskInfo;

import java.util.List;

/*
 *@title EntrustInfoService
 *@description
 *@author xy
 *@version 1.0
 *@create 2023/12/7 15:31
 */
public interface ScreenInfoService extends IService<ScreenInfo> {
    ScreenInfo addScreenInfo(ScreenInfo screenInfo);//添加任务信息

    ScreenInfo updateScreenInfo(ScreenInfo screenInfo);//修改任务信息

    Boolean deleteScreenInfo(String id);//删除任务信息

    IPage getScreenPageList(Page page, ScreenInfo screenInfo, String keywords);

    List<ScreenInfo> getScreenList(ScreenInfo screenInfo, String keywords);

    Boolean checkExist(String id);

}
